package com.backend.anno;

import com.backend.validaion.StateValidation;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

@Documented
@Constraint(validatedBy = {StateValidation.class})
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface State {

    String message() default "state参数的值只能是已签收、未签收";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

}
