// 引入 createApp 用于创建应用
import { createApp } from 'vue'
import './style.css'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
// 引入 App 根组件
import App from './App.vue'
// 引入路由器
import router from "./router/index.js";
import { createPinia } from 'pinia'

// 创建一个应用
const app = createApp(App)

// 使用路由器
app.use(router)
app.use(ElementPlus)

// 创建 Pinia 实例并使用
const pinia = createPinia()
app.use(pinia)

// 挂载整个应用
app.mount('#app')
