import {createRouter, createWebHashHistory} from "vue-router";
import Login from "../view/Login.vue";
import Layout from "../view/Layout.vue";
import Home from "../view/Home.vue";
import ExpressList from "../view/express/ExpressList.vue";
import ExpressForm from "../view/express/ExpressForm.vue";
import UserInfo from "../view/user/UserInfo.vue";
import UserResetPassword from "../view/user/UserResetPassword.vue";

const routes = [
    {
        path: '/',
        redirect: 'Home'
    },
    {
        path: '/home',
        name: 'Home',
        component: Home,
    },
    {
        path: '/login',
        name: 'Login',
        component: Login,
    },
    {
        path: '/Layout',
        name: 'Layout',
        component: Layout,
        children: [
            {
                path: '/user/userInfo',
                component: UserInfo
            },
            {
                path: '/expressList',
                component: ExpressList
            },
            {
                path: '/expressForm',
                component: ExpressForm
            },
            {path: '/user/resetPassword', component: UserResetPassword},
        ]
    },

]

const router = createRouter({
    history: createWebHashHistory(),
    routes: routes
})

export default router