import {defineStore} from 'pinia'

export const expressStore = defineStore('express', {
  state: () => {
    return {
        expressList: [
            {
                express_no: '123456789',
                s_datetime: '2023-10-01 10:00',
                senderCity: '北京',
                senderName: '张三',
                senderPhone: '13800000000',
                receiverCity: '上海',
                receiverName: '李四',
                receiverPhone: '13900000000'
            },
            {
                express_no: '987654321',
                s_datetime: '2023-10-02 11:00',
                senderCity: '广州',
                senderName: '王五',
                senderPhone: '13700000000',
                receiverCity: '深圳',
                receiverName: '赵六',
                receiverPhone: '13600000000'
            },
            {
                express_no: '456789123',
                s_datetime: '2023-10-03 12:00',
                senderCity: '成都',
                senderName:  '李四',
                senderPhone: '13500000000',
                receiverCity: '西安',
                receiverName: '赵六',
                receiverPhone: '13400000000'
            }
        ]
        }
    },
    getters: {},
    actions: {
        add(item) {
            this.expressList.push(item)
        },
        modify(item, index) {
            this.expressList[index] = item
        },
        deleteByIndex(index) {
            this.expressList.splice(index, 1)
        }
    },
    persist: {
        enabled: true,
        strategies: [{
            key: 'express',
            storage: localStorage,
            paths: ['expressList']
        }],
    }
})
